## inadyn 1.99.3

=== Makefile ===
# Makefile for INADYN, a simple and small ddns client.          -*-Makefile-*-
# Use "make V=1" to see full GCC output

#VERSION      ?= $(shell git tag -l | tail -1)
VERSION      ?= 1.99.3
NAME          = inadyn
EXEC          = src/$(NAME)
PKG           = $(NAME)-$(VERSION)
ARCHIVE       = $(PKG).tar.bz2
MAN5          = inadyn.conf.5
MAN8          = inadyn.8

ROOTDIR      ?= $(dir $(shell pwd))
RM           ?= rm -f
CC           ?= $(CROSS)gcc

prefix       ?= /usr/local
sysconfdir   ?= /etc
datadir       = $(prefix)/share/doc/inadyn
mandir        = $(prefix)/share/man

# This magic trick looks like a comment, but works on BSD PMake
#include <config.mk>
include config.mk

BASE_OBJS     = src/base64.o src/md5.o src/dyndns.o src/errorcode.o src/get_cmd.o    \
		src/http_client.o src/ip.o src/main.o src/os_unix.o src/os_windows.o \
		src/os.o src/os_psos.o src/tcp.o src/inadyn_cmd.o src/sha1.o
OBJS	      = $(BASE_OBJS) $(CFG_OBJ) $(EXTRA_OBJS)
CFLAGS       ?= -O2 -W -Wall -Werror
CFLAGS       += $(CFG_INC) $(EXTRA_CFLAGS)
CPPFLAGS     ?=
CPPFLAGS     += -Iinclude -DVERSION_STRING=\"$(VERSION)\"
LDFLAGS      ?=
LDLIBS       += $(EXTRA_LIBS)
DISTFILES     = README COPYING LICENSE

# Pattern rules
.c.o:
	$(PRINTF) "  CC      $@\n"
	$(Q)$(CC) $(CFLAGS) $(CPPFLAGS) -c -o $@ $<

# Build rules
all: $(EXEC)

$(EXEC): $(OBJS)
	$(PRINTF) "  LINK    $@\n"
	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $(OBJS) $(LDLIBS)

install: $(EXEC)
	@install -d $(DESTDIR)$(prefix)/sbin
	@install -d $(DESTDIR)$(sysconfdir)
	@install -d $(DESTDIR)$(datadir)
	@install -d $(DESTDIR)$(mandir)/man8
	@install -d $(DESTDIR)$(mandir)/man5
	@install -m 0755 $(EXEC) $(DESTDIR)$(prefix)/sbin/
	@install -m 0644 man/$(MAN5) $(DESTDIR)$(mandir)/man5/$(MAN5)
	@install -m 0644 man/$(MAN8) $(DESTDIR)$(mandir)/man8/$(MAN8)
	@for file in $(DISTFILES); do \
		install -m 0644 $$file $(DESTDIR)$(datadir)/$$file; \
	done

uninstall:
	-@$(RM) $(DESTDIR)$(prefix)/sbin/$(EXEC)
	-@$(RM) -r $(DESTDIR)$(datadir)
	-@$(RM) $(DESTDIR)$(mandir)/man5/$(MAN5)
	-@$(RM) $(DESTDIR)$(mandir)/man8/$(MAN8)

clean:
	-@$(RM) $(OBJS) $(EXEC)

distclean:
	-@$(RM) $(OBJS) core $(EXEC) *.o *.map .*.d *.out tags TAGS

dist:
	@echo "Building bzip2 tarball of $(PKG) in parent dir..."
	git archive --format=tar --prefix=$(PKG)/ $(VERSION) | bzip2 >../$(ARCHIVE)
	@(cd ..; md5sum $(ARCHIVE) | tee $(ARCHIVE).md5)

=== debian/changelog ===
inadyn (1.99.3-1ubuntu0.1) saucy-proposed; urgency=low

  * Grab patch from upstream to fix basic HTTP authentication. (LP: #1270539)

 -- Andreas Moog <andreas.moog@warperbbs.de>  Sun, 19 Jan 2014 11:31:29 +0100

inadyn (1.99.3-1) unstable; urgency=low

  * New upstream release:
    - new option --cachefile to specify cache file.
    - new option --bind to set interface to bind to.
    - old option --iface used to obtain interface IP
      with no external IP check.
  * Fix problem with /run/inadyn access when upgrading from 1.96.2-1.
    Closes: #709391, #711226.
  * debian/inadyn.ppp.ip-up:
    - write PID into /tmp/inadyn.pid.
  * debian/control:
    - add full list of the supported services to extended description.
  * debian/inadyn.init:
    - use log_action_msg() instead of log_success_msg().
    - fix lintian warning init.d-script-call-internal-API.
  * debian/docs:
    - README renamed to README.md.
  * debian/rules:
    - tell 'make' do not hide build info.
  * Drop debian/patches, merged upstream.
  * Update debian/inadyn.conf.
  * Add debian/links:
    - add symlink for /usr/sbin/inadyn to /usr/bin/inadyn.

 -- Timur Birsh <taem@linukz.org>  Fri, 07 Jun 2013 11:40:43 +0600

inadyn (1.98.1+git20130517-2) unstable; urgency=low

  * debian/inadyn.{init,ppp.ip-up}:
    - change $INADYN_{USER,GROUP} to $USER and $GROUP. Closes: #708734.
  * debian/inadyn.ppp.ip-up:
    - env vars should be checked after sourcing inadyn's defaults file.
  * debian/inadyn.postinst:
    - remove accidentally left code snippet. Closes: #708735.
  * debian/inadyn.init:
    - do not warn if daemon is disabled in $DEFAULT.
      User can use PPP ip-up script instead of the daemon.

 -- Timur Birsh <taem@linukz.org>  Sat, 18 May 2013 14:16:53 +0600

inadyn (1.98.1+git20130517-1) unstable; urgency=low

  * New upstream release (Closes: #647703):
    - network timeout was fixed. Closes: #539240.
    - use symbolic persona instead of numeric uid/gid. Closes: #355276.
    - man/inadyn.8: fix typos. Closes: #575549, #627970.
  * Update source package in accordance with the version 3.0 (quilt).
    Closes: #664352.
  * debian/control:
    - bump Standards-Version to 3.9.4 (no changes needed).
    - bump debhelper build dependency to 9 (needed by debhelper's
      override mechanism).
    - add Vcs-* fields.
    - add ${misc:Depends} to the binary package dependency.
    - update package's short description.
  * Bump debhelper's compatibility level to 9.
  * debian/rules: use debhelper's override mechanism.
  * debian/copyright:
    - update according to the new upstream source.
    - follow DEP5.
  * Add debian/{manpages,docs,install}.
  * Update debian/watch with the new URL.
  * debian/changes: merged upstream.
  * debian/patches:
    - 01_uid_tAndGid_t.dpatch,
      02_inadyn8ManPage.dpatch: merged upstream - remove.
  * debian/inadyn.conf: use example config from the upstream README.
  * debian/inadyn.init,
    debian/inadyn.default: add init script. Closes: #421114.
  * debian/inadyn.post{inst,rm}: create debian-inadyn user in
    debian-inadyn group.
  * Provide dyndns-client virtual package. Closes: #433822.
  * debian/source/options: use xz compression.

 -- Timur Birsh <taem@linukz.org>  Fri, 17 May 2013 16:58:56 +0600

inadyn (1.96.2-1) unstable; urgency=low

  * New upstream release.
  * debian/changes: Updating it according to the history specified in
    readme.html.
  * debian/control:
    - bump Standards-Version - 3.8.1.
    - add Homepage field.
    - remove patch package build dependency.
    - bump debhelper version dependency >= 7.
    - remove fakeroot package build dependency. Closes: #345763.
    - add dpatch package build dependency.
  * debian/rules:
    - bump DH_COMPAT - 5.
    - move DH_COMPAT declaration to debian/compat file.
    - move example files declaration to debian/examples.
  * debian/patches: remove patch
    - 01_testAndCreateOrigTarBall.dpatch: creating orig tarball not
      necessary.
  * debian/watch: fix watch URL. Closes: #456473.
  * debian/copyright:
    - add me as maintainer.
    - update FSF address in license text.
    - add src/base64utils.c and src/base64.h files licence.
  * New maintainer. Closes: #514769 (ITA).

 -- Timur Birsh <taem@linukz.org>  Tue, 16 Jun 2009 10:43:37 +0600

inadyn (1.96-1) unstable; urgency=low

  * New upstream release. Closes: #255606, 
    src/os_unix.c:71: error: duplicate case value.
  * debian/changes: Updating it according to the history specifyed in
    readme.html.
  * debian/control: Having no-ip.com mentioned in the supported servers.
  * debian/patches/:
    + 01_testAndCreateOrigTarBall.dpatch: Also excluding '*/bin/linux/*'
      and '*/bin/mac/*' from the orig tar ball.
    + 02_uid_tAndGid_t.dpatch: Updating the line numbers for the
      patches.
    + 03_inadyn8ManPage.dpatch: Updated according to upstream changes.
  * dpatch: Had to build the package where dpatch was not available.
    Consequently,
    + The patches were applied manually.
    + debian/rules: the 2 lines with dpatch were put into comments.
    + debian/control: /Build-Depends/s/dpatch, //

 -- Shaul Karl <shaul@debian.org>  Sun, 13 Nov 2005 07:10:21 -0600

inadyn (1.95-1) unstable; urgency=low

  * New upstream release.
  * debian/changes: Updating it according to the history specifyed in
    readme.html.
  * initial uploading to the Debian archive.    closes: #255606 (ITP).
  * debian/rules:
    + %s/makefile.linux/makefile/ due to upstream making a similar change.
    + install target: using bin/linux/inadyn rather then bin/inadyn. Once
      again, this is an upstream modification.
  * debian/patches/:
    + 02_setUserGroup.dpatch: Removed as it was merged upstream.
    + 02_uid_tAndGid_t.dpatch: Added to use Unix uid_t and gid_t.
    + 03_unixSignals.dpatch: Removed since signals handling were added by
      upstream.
    + 03_inadyn8ManPage.dpatch: Document the signals being honored 
      explicitly.


## inadyn 1.99.4

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Use "make V=1" to see full GCC output
 
 #VERSION      ?= $(shell git tag -l | tail -1)
-VERSION      ?= 1.99.3
+VERSION      ?= 1.99.4
 NAME          = inadyn
 EXEC          = src/$(NAME)
 PKG           = $(NAME)-$(VERSION)

=== debian/changelog ===
inadyn (1.99.4-1) unstable; urgency=low

  * New upstream release:
    - Fix basic HTTP authentication. Closes: #718934.

 -- Timur Birsh <taem@linukz.org>  Fri, 09 Aug 2013 13:31:20 +0600

=== debian/control ===
Source: inadyn
Section: net
Priority: optional
Maintainer: Timur Birsh <taem@linukz.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://github.com/troglobit/inadyn
Vcs-Git: git://github.com/taem/inadyn.git -b debian
Vcs-Browser: http://github.com/taem/inadyn

Package: inadyn
Architecture: any
Pre-Depends: adduser
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: dyndns-client
Description: Simple and small DynDNS client written in the C language
 With this package the user can have an Internet name for his host 
 even though he might not have a name server or a static IP. It works
 by being a client of a supposedly open name server and updating the 
 server's records when the need arise. A list of the servers that are
 supported is:
   * http://www.dyndns.org
   * http://freedns.afraid.org
   * http:// www.zoneedit.com
   * http://www.no-ip.com
   * http://www.easydns.com
   * http://www.tzo.com
   * http://www.3322.org
   * http://www.dnsomatic.com
   * http://www.tunnelbroker.net
   * http://dns.he.net
   * http://www.dynsip.org
   * http://www.sitelutions.com
   * http://www.dnsexit.com
   * http://www.changeip.com
 .
 Some of the services of these servers are free of charge.
 .
 This is a command line tool that is written in portable ANSI C with a 
 little OS abstraction layer. It can maintain multiple host names with
 the same IP address, and has a web based IP detection which runs well
 behind a NAT router.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- V=1

override_dh_auto_install:
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=3
https://github.com/troglobit/inadyn/tags .*/v?(\d[\d\.]+)\.tar\.gz

## inadyn 2.8.1

=== debian/changelog ===
inadyn (2.8.1-1) unstable; urgency=medium

  [ Federico Ceratto ]
  * New upstream release (Closes: #411334, #759278, #846935).
    - Closes: #759278, #781898, #813347,
      according to the upstream author Joachim Nilsson in Bug #846935.

  [ Benda Xu ]
  * Add Benda Xu as the maintainer (Closes: #879872).
  * Build depend on libconfuse-dev and pkg-config.
    - Depend on lsb-base.
  * Remove duplicated entries on debian/copyright.
  * Improve package description (Closes: #785397).

 -- Benda Xu <heroxbd@gentoo.org>  Sun, 03 Oct 2021 22:42:15 +0800

=== debian/control ===
Source: inadyn
Section: net
Priority: optional
Maintainer: Benda Xu <orv@debian.org>
Build-Depends:
 automake,
 debhelper-compat (= 12),
 libconfuse-dev,
 libgnutls28-dev,
 pkg-config
Standards-Version: 4.6.0
Homepage: http://github.com/troglobit/inadyn
Vcs-Git: https://salsa.debian.org/debian/inadyn.git
Vcs-Browser: https://salsa.debian.org/debian/inadyn

Package: inadyn
Architecture: any
Pre-Depends: adduser, ${misc:Pre-Depends}
Depends: lsb-base, ${shlibs:Depends}, ${misc:Depends}
Provides: dyndns-client
Description: simple and small dynamic DNS client with HTTPS support
 It is used in routers and Internet gateways to automate the task of
 keeping your DNS record up to date with any IP address changes from
 your ISP. It can also be used in installations with redundant backup
 connections to the Internet.
 .
 Inadyn can maintain multiple host names with the same IP address, and
 has a HTTP/HTTPS based IP detection which runs well behind a NAT
 router.
 .
 Selected DDNS providers are supported natively, see inadyn(8) for the
 complete list. Other providers can be supported using the generic
 DDNS plugin. Some of these services are free of charge for
 non-commercial use. Others take a small fee but provide more domains
 to choose from.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -O3
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))

include /usr/share/dpkg/default.mk  # provides DEB_VERSION


%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- V=1

override_dh_auto_install:
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog.md

## inadyn 2.10.0

=== debian/changelog ===
inadyn (2.10.0-1) unstable; urgency=medium

  * New upstream release.

 -- Benda Xu <orv@debian.org>  Thu, 02 Feb 2023 00:20:49 +0800

inadyn (2.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove the '--background' argument from the init script.
    Closes: #1003677.
  * Ship configuration examples.
  * Ship the upstream systemd unit. (Closes: #932918, #983309)

 -- Benda Xu <orv@debian.org>  Thu, 06 Oct 2022 20:38:32 +0800

## inadyn 2.11.0

=== debian/changelog ===
inadyn (2.11.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:00:42 +1100

inadyn (2.11.0-1build1) noble; urgency=medium

  * No-change rebuild against libgnutls30t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Mar 2024 02:06:09 +0000

inadyn (2.11.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Benda Xu ]
  * New upstream release.
  * Replace outdated command line arguments in ip-up.d (Closes: #1041303).
  * Ship a systemd .service file (Closes: #1032192).

 -- Benda Xu <orv@debian.org>  Tue, 18 Jul 2023 09:42:30 +0800

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,24 @@
 Source: inadyn
 Section: net
 Priority: optional
-Maintainer: Benda Xu <orv@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Benda Xu <orv@debian.org>
 Build-Depends:
  automake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libconfuse-dev,
  libgnutls28-dev,
  pkg-config
-Standards-Version: 4.6.0
-Homepage: http://github.com/troglobit/inadyn
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
+Homepage: https://github.com/troglobit/inadyn
 Vcs-Git: https://salsa.debian.org/debian/inadyn.git
 Vcs-Browser: https://salsa.debian.org/debian/inadyn
 
 Package: inadyn
 Architecture: any
 Pre-Depends: adduser, ${misc:Pre-Depends}
-Depends: lsb-base, ${shlibs:Depends}, ${misc:Depends}
+Depends: sysvinit-utils (>= 3.0.5), ${shlibs:Depends}, ${misc:Depends}
 Provides: dyndns-client
 Description: simple and small dynamic DNS client with HTTPS support
  It is used in routers and Internet gateways to automate the task of

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/inadyn-$1\.tar\.gz/ \
  https://github.com/troglobit/inadyn/tags .*/v?(\d\S*)\.tar\.gz
